Could someone provide a link to Phonak Target software

I’m wanting to program some Cassia SP BTE aids. Its says it needs Target 2.1 or later. I presume 6.0 or whatever is current will work good. This is to help my sister who currently has Cassia’s. She may be moving for Marvels however. Once she visits her audi and gets a new audiogram we will know more.

I got a copy, thank you. Now I need to get it installed.

Ordinarily what you would have gotten is a Windows .exe or .msi file, which you would open or double-click.